Re: [PATCH] btrfs: add regression test for remount with thread_pool resized

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]




-------- Original Message --------
Subject: Re: [PATCH] btrfs: add regression test for remount with thread_pool resized
From: gux.fnst <gux.fnst@xxxxxxxxxxxxxx>
To: <fstests@xxxxxxxxxxxxxxx>
Date: 2014年09月17日 18:02
Hi,

     Could anyone help to review this patch? Thanks!

Regards,
Xing Gu

On 05/30/2014 04:52 PM, Xing Gu wrote:
Regression test for resizing 'thread_pool' when remount the fs.

Signed-off-by: Xing Gu <gux.fnst@xxxxxxxxxxxxxx>
---
   tests/btrfs/055     | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++
   tests/btrfs/055.out |  1 +
   tests/btrfs/group   |  1 +
   3 files changed, 57 insertions(+)
   create mode 100755 tests/btrfs/055
   create mode 100644 tests/btrfs/055.out

diff --git a/tests/btrfs/055 b/tests/btrfs/055
new file mode 100755
index 0000000..0a0dd34
--- /dev/null
+++ b/tests/btrfs/055
@@ -0,0 +1,55 @@
+#!/bin/bash
+# FS QA Test No. btrfs/055
+#
+# Regression test for resizing 'thread_pool' when remount the fs.
+#
IMHO, it would be better to add the commit number for the regression and the fix commit number
(Filipe Manana always does the great job).

For reference:
Regresssion commit: 08a9ff3264181986d1d692a4e6fce3669700c9f8 (All my fault)
Fix commit: 800ee2247f483b6d05ed47ef3bbc90b56451746c

Other looks good for me.

Reviewed-by: Qu Wenruo <quwenruo@xxxxxxxxxxxxxx>

Thanks,
Qu
+#-----------------------------------------------------------------------
+# Copyright (c) 2014 Fujitsu.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+
+_cleanup()
+{
+    rm -f $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs btrfs
+_supported_os Linux
+_require_scratch
+
+_scratch_mkfs > /dev/null 2>&1
+
+_scratch_mount "-o thread_pool=6"
+
+_scratch_mount "-o remount,thread_pool=10"
+
+status=0 ; exit
diff --git a/tests/btrfs/055.out b/tests/btrfs/055.out
new file mode 100644
index 0000000..2fdd8f4
--- /dev/null
+++ b/tests/btrfs/055.out
@@ -0,0 +1 @@
+QA output created by 055
diff --git a/tests/btrfs/group b/tests/btrfs/group
index b668485..2c10c5b 100644
--- a/tests/btrfs/group
+++ b/tests/btrfs/group
@@ -57,3 +57,4 @@
   052 auto quick
   053 auto quick
   054 auto quick
+055 auto quick

--
To unsubscribe from this list: send the line "unsubscribe linux-btrfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux